#ifndef CMWCAMPROPERTY_H
#define CMWCAMPROPERTY_H

#include "ccam.h"
#include "cmwcamalgorithm.h"
namespace Ui {
class CMWCamProperty;
}

class CMWCamProperty : public CMWCamAlgorithm
{
    Q_OBJECT

public:
	explicit CMWCamProperty(QWidget *parent ,int32_t iCamID);
	~CMWCamProperty();

    void MInit();
    void MTimeFresh();
    void MFresh();
    void MApply();
    void showEvent(QShowEvent * pEvent);
private slots:
    void on_pushButton_TOOL_clicked();
    void on_pushButton_EXE_clicked();
    void set_exposure();
    void set_gain();
    void set_constrast();
    void set_brightness();

    void on_pushButton_AutoLight_clicked();

private:
    Ui::CMWCamProperty *ui;
};

#endif // CMWCAMPROPERTY_H
